Subject: Re: gnu: poetry: Update to 1.1.4.

From: Tanguy LE CARROUR <[email-masked]>
Date: Sun, 29 Nov 2020 20:34:44 +0100

Hi,

Excerpts from Tanguy LE CARROUR's message of November 29, 2020 6:56 pm:
> Excerpts from Nicolas Goaziou's message of November 28, 2020 4:41 pm:
>> Tanguy LE CARROUR <[email-masked]> writes:
>> 
>>> Would have it been better for me to submit separate patches, as they are
>>> not really specific to Poetry, and wait for them to be merged before
>>> submitting a patch set with only `poetry-core` and `poetry`?
>> 
>> The sole "problematic" patch is the one updating python-distlib, in the
>> sense that it cannot be applied in the same branch as the others (unless
>> everything goes into core-updates, of course).
>> 
>> If you can split the set into independent parts, i.e., if you don't
>> really need to update python-distlib prior to updating Poetry, we can
>> process it differently.
> 
> I'm working on it! But it's apparently rebuilding the World, which is really
> slow on my computer at home! :-(

I've tried to modify `python-virtualenv` to make it use our current
version of `python-distlib`. Poetry builds, but it does not work
properly!

```
$ poetry install
Creating virtualenv test-4avGy1Vc-py3.8 in /home/tanguy/.cache/pypoetry/virtualenvs

  ImportError

  cannot import name 'enquote_executable' from 'distlib.scripts'
  (/gnu/store/2j3qn0ksry1qarwih9knh1ngr6zm2rci-python-distlib-0.3.0/lib/python3.8/site-packages/distlib/scripts.py)
```

So I guess the version of distlib does matter and we cannot do without.

Regards

-- 
Tanguy